<?php
class dormatic_Style {
	public function __construct() {
		add_action( 'wp_enqueue_scripts', array( $this, 'dormatic_enqueue_style' ) );
	}
	public function dormatic_enqueue_style() {
		wp_enqueue_style( 'font-awesome-all', DORMATIC_CSS_URL . 'font-awesome-all.css', false, '1' );
		wp_enqueue_style( 'flaticon', DORMATIC_CSS_URL . 'flaticon.css', false, '1' );
		wp_enqueue_style( 'owl', DORMATIC_CSS_URL . 'owl.css', false, '1' );
		wp_enqueue_style( 'bootstrap', DORMATIC_CSS_URL . 'bootstrap.css', false, time() );
		wp_enqueue_style( 'jquery-fancybox', DORMATIC_CSS_URL . 'jquery.fancybox.min.css', false, '1' );
		wp_enqueue_style( 'animate', DORMATIC_CSS_URL . 'animate.css', false, '1' );
		wp_enqueue_style( 'nice-select', DORMATIC_CSS_URL . 'nice-select.css', false, time() );
		wp_enqueue_style( 'dormatic-theme-color', DORMATIC_CSS_URL . 'color.css', false, time() );
		wp_enqueue_style( 'dormatic-style', get_stylesheet_uri(), null, time() );
		wp_enqueue_style( 'dormatic-style-main', DORMATIC_CSS_URL . 'style.css', false, time() );
		wp_enqueue_style( 'dormatic-blog-page', DORMATIC_CSS_URL . 'blog-page.css', false, time() );
		wp_enqueue_style( 'dormatic-service-page', DORMATIC_CSS_URL . 'service-page.css', false, time() );
		wp_enqueue_style( 'dormatic-theme-style', DORMATIC_CSS_URL . 'theme-style.css', false, time() );
		wp_enqueue_style( 'dormatic-responsive', DORMATIC_CSS_URL . 'responsive.css', false, time() );
		if ( function_exists( 'dormatic_daynamic_styles' ) ) {
			wp_add_inline_style( 'dormatic-theme-style', dormatic_daynamic_styles() );
		}
	}
}
$dormatic_style = new dormatic_Style();



function dormatic_custom_css() {
	$dormatic_custom_inline_style = '';

	if ( function_exists( 'dormatic_get_custom_styles' ) ) {
		$dormatic_custom_inline_style = dormatic_get_custom_styles();
	}

	wp_add_inline_style( 'dormatic-theme-style', $dormatic_custom_inline_style );
}
add_action( 'wp_enqueue_scripts', 'dormatic_custom_css' );
